Page MenuHomeFreeBSD

Cadence GEM driver style clean-up.
ClosedPublic

Authored by skibo on Mar 30 2020, 6:30 PM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 14 2024, 6:13 AM
Unknown Object (File)
Dec 22 2023, 11:40 PM
Unknown Object (File)
Dec 14 2023, 3:51 PM
Unknown Object (File)
Nov 10 2023, 12:45 PM
Unknown Object (File)
Nov 8 2023, 5:45 AM
Unknown Object (File)
Nov 5 2023, 7:40 AM
Unknown Object (File)
Oct 18 2023, 9:45 PM
Unknown Object (File)
Oct 9 2023, 11:39 AM

Details

Summary

I have significant changes to the GEM driver coming but the changes include
lots of style and white-space clean-up so I am submitting these separately
to perhaps make it easier to review the functional changes.

Test Plan

I have diffed the disassembly of if_cgem.o before and after these changes
and the only difference is a small change in string literal addresses
because I have tweaked a couple printf's.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 30190
Build 27982: arc lint + arc unit

Event Timeline

Ok, roast me!

sys/dev/cadence/if_cgem_hw.h
302

Another issue I noticed is that I am not consistent using upper or lower case letters in hex literals. Is there an accepted standard?

This revision was not accepted when it landed; it landed in state Needs Review.Apr 2 2020, 5:57 PM
This revision was automatically updated to reflect the committed changes.